com.sun.mirror.type

## Interface AnnotationType

All Superinterfaces:
  DeclaredType, InterfaceType, ReferenceType, TypeMirror

    public interface AnnotationType
    extends InterfaceType

Represents an annotation type.

Since:
  1.5

### Method Summary

Methods
`AnnotationTypeDeclaration` `getDeclaration()` Returns the declaration of this type.

### Methods inherited from interface com.sun.mirror.type.DeclaredType

`getActualTypeArguments, getContainingType, getSuperinterfaces`

### Methods inherited from interface com.sun.mirror.type.TypeMirror

`accept, equals, toString`

### Method Detail

#### getDeclaration

    AnnotationTypeDeclaration getDeclaration()

Returns the declaration of this type.

Returns null if this type's declaration is unknown. This may be the result of a processing error, such as a missing class file.

Specified by:
  `getDeclaration` in interface `DeclaredType`
Specified by:
  `getDeclaration` in interface `InterfaceType`
Returns:
  the declaration of this type, or null if unknown

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.